[Bug] Wrongly disabled save button while editing in value view experts
Closed, ResolvedPublic

Description

Steps to reproduce:

  • Edit a quantity value.
  • Type 2000+-1. The save button gets enabled.
  • Remove the 1. Save gets disabled.
  • Remove -. Still disabled. This is all expected.
  • Now remove the +. Still disabled.

This was reported somewhere on wikidata.org, but I can not find it any more.

Patch-For-Review:

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptFeb 28 2017, 4:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thiemowmde triaged this task as Normal priority.Feb 28 2017, 4:50 PM
thiemowmde added a project: Patch-For-Review.
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde moved this task from incoming to in current sprint on the Wikidata board.

Change 331607 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
Drop parsed text and HTML values earlier in jQuery.valueview

https://gerrit.wikimedia.org/r/331607

Change 334671 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
Add browser test for backspace bug in valueview

https://gerrit.wikimedia.org/r/334671

Change 331607 merged by jenkins-bot:
[data-values/value-view] Drop parsed text and HTML values earlier in jQuery.valueview

https://gerrit.wikimedia.org/r/331607

Aleksey_WMDE updated the task description. (Show Details)Mar 14 2017, 3:35 PM
thiemowmde updated the task description. (Show Details)Mar 14 2017, 3:37 PM

Change 334671 merged by jenkins-bot:
[mediawiki/extensions/Wikibase] Add browser test for backspace bug in valueview

https://gerrit.wikimedia.org/r/334671

thiemowmde closed this task as Resolved.Mar 16 2017, 11:51 AM
thiemowmde removed a project: Patch-For-Review.
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.